<mat-card>
  <mat-card-title
    *ngIf="placeholder && name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="!placeholder && block.required"
  ></mat-card-title>
  <mat-card-content *ngIf="description" markdown [content]="description" [context]="context"></mat-card-content>
  <mat-slide-toggle [checked]="block.checkboxSlot.value" (change)="block.toggle()">
    <span
      markdown
      [content]="placeholder || name"
      [context]="context"
      [required]="block.required"
      [lineBreaks]="false"
    ></span>
  </mat-slide-toggle>
  <mat-card-footer *ngIf="explanation" markdown [content]="explanation" [context]="context"> </mat-card-footer>
</mat-card>
